Subject: [mobile-ip] mobile-ip] Where to insert HAO?

From: [email-masked]
Date: Wed, 15 May 2002 17:58:22 +0530

Hi All,

Section 6.3 says
"The Home Address option MUST be placed as follows:

    -  After the Routing Header, if that header is present

    -  Before the Fragment Header, if that header is present

    -  Before the AH Header or ESP Header, if either one of those
       Headers is present "
"After the Routing Header, if that header is present" does it mean that HAO
has to be placed in the inner destination option header, because outer
destination header usually comes before routing header.

"Before the Fragment Header, if that header is present" ? ok this rules out
the case of inner destination option header, in this case outer destination
option and routing header both are part of non fragmentable part, but still
outer destination option header comes before routing header (for example in
Linux Ipv6). What if both routing and fragment headers are present?

"Before the AH Header or ESP Header, if either one of those Headers is
present " this again rules out the use of inner destination header.

So where should we actually place the HAO?

Best Regards
pav

---

From: Vladislav Yasevich <[email-masked]>
Date: Wed, 15 May 2002 11:01:09 -0400

The draft actually defined a new destination option header
location (in addition to the ones defined in 2460).  This
location is what you described in your message.

For example:
   IPv6 [ HbH [ Dest{1} [ Rtrhdr [ Dest (HOA) [ Frag ...]]]]]

However, I believe that'll change in the next revision since
the HOA will be a parameter in the Mobility Header.

-vlad

-- 
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Vladislav Yasevich	       Tru64 UNIX - IPv6 Project Lead
Hewlett Packard 	       Tel: (603) 884-1079
Nashua, NH 03062	       ZKO3-3/T07

---

From: Vladislav Yasevich <[email-masked]>
Date: Wed, 15 May 2002 13:34:41 -0400

Correction...

> the HOA will be a parameter in the Mobility Header.

I was thinking of something else.  The HOA will still
be a destination option positioned in it's own Desitination
Option header.

-vlad

---

From: Francis Dupont <[email-masked]>
Date: Thu, 16 May 2002 14:56:39 +0200

=> again, again, ...
   
   Section 6.3 says

   

=> is this not enough clear?

=> there is not such thing like outer and inner destination option header.
RFC 2460 is just a recommendation overruled by newer specs like 6.3.

=> between.

=> just apply 6.3.

[email-masked]

---

From: Francis Dupont <[email-masked]>
Date: Thu, 16 May 2002 15:15:44 +0200

For example:
   
=> right

=> wrong: HOA is in any packet from MN to CN with routing optimization.